.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptInputAction.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptInputAction:

VisualScriptInputAction
=======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Variables
----------------

  .. _class_VisualScriptInputAction_action:

- :ref:`String<class_string>` **action**

  .. _class_VisualScriptInputAction_mode:

- :ref:`Mode<enum_visualscriptinputaction_mode>` **mode**


Enums
-----

  .. _enum_VisualScriptInputAction_Mode:

enum **Mode**

- **MODE_PRESSED** = **0**
- **MODE_RELEASED** = **1**
- **MODE_JUST_PRESSED** = **2**
- **MODE_JUST_RELEASED** = **3**


